input[type="radio"] {
  opacity: 0;
  width: 0;
  display: none;
}

input[type="radio"]+label {
  position: relative;
  display: block;
  cursor: pointer;
  line-height: 1.3;
  padding: 0.2rem 0 0.3rem 2rem;
}

input[type="radio"]+label:before,
input[type="radio"]+label:after {
  position: absolute;
  content: "";

  /*Needed for the line-height to take effect*/
  display: block;
}

/*Outer box of the fake radio*/
input[type="radio"]+label:before{
  height: 20px;
  width: 20px;
  border: 2px solid $color-grey;
  border-radius: 50%;
  left: 0px;
  top: 0;
}

input[type="radio"]+label:hover:before {
  border-color: $color-black;
}

/*Checkmark of the fake radio*/
input[type="radio"]+label:after {
  height: 14px;
  width: 14px;
  border-radius: 50%;
  background-color: $color-black;
  left: 5px;
  top: 5px;
}

/*Hide the checkmark by default*/
input[type="radio"] + label:after {
  content: none;
}

/*Unhide on the checked state*/
input[type="radio"]:checked + label:before {
  background-color: $color-white;
  border-color: $color-black;
}

input[type="radio"]:checked + label:after {
  content: "";
}

/*Adding focus styles on the outer-box of the fake radio*/
input[type="radio"]:focus + label:before {
  outline: none;
}
